<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="ww_bewegungsvorschau" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="784" leftMargin="28" rightMargin="30" topMargin="42" bottomMargin="20" isSummaryWithPageHeaderAndFooter="true" uuid="a7008489-f864-4539-be4d-415f49e8e9fe">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="875"/>
	<property name="ireport.y" value="65"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<style name="Verfuegbar">
		<conditionalStyle>
			<conditionExpression><![CDATA[$F{Fiktiverlagerstand}.doubleValue() < 0
/* überhaupt zu wenig */]]></conditionExpression>
			<style mode="Opaque" forecolor="#FF3333" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$F{Fiktiverlagerstand}.doubleValue() < $P{P_LAGERMINDESTSTAND}.doubleValue()
/* unter Lagermindesstand */]]></conditionExpression>
			<style mode="Opaque" forecolor="#FF9900" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$F{Fiktiverlagerstand}.doubleValue() > $P{P_LAGERSOLLSTAND}.doubleValue()
/* unter Lagermindesstand */]]></conditionExpression>
			<style mode="Opaque" forecolor="#339900" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
	</style>
	<style name="nicht_freigegeben">
		<conditionalStyle>
			<conditionExpression><![CDATA[$P{P_PARAMETER_AUFTRAGSFREIGABE} && $F{Belegart}.startsWith( "Auftrag" ) &&
$F{AuftragsfreigabePerson} == null]]></conditionExpression>
			<style mode="Opaque" forecolor="#FFFFFF" backcolor="#000000" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[!($P{P_PARAMETER_AUFTRAGSFREIGABE} && $F{Belegart}.startsWith( "Auftrag" ) &&
  $F{AuftragsfreigabePerson} == null
) && !($F{Belegart}.startsWith( "Forecast" ) &&
($F{Forecastart}==null || $F{Forecastart}.startsWith("Forecastauftrag") || $F{Forecastart}.startsWith("nicht definiert")))]]></conditionExpression>
			<style mode="Opaque" forecolor="#000000" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$F{Belegart}.startsWith( "Forecast" ) &&
($F{Forecastart}==null || $F{Forecastart}.startsWith("Forecastauftrag") || $F{Forecastart}.startsWith("nicht definiert"))]]></conditionExpression>
			<style mode="Opaque" forecolor="#CCCCCC" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
	</style>
	<style name="Reichweite">
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Reichweite_Lager}.compareTo(BigDecimal.ZERO) > 0]]></conditionExpression>
			<style mode="Opaque" forecolor="#00FF00" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
	</style>
	<style name="vor_heute">
		<conditionalStyle>
			<conditionExpression><![CDATA[!($F{Abliefertermin} == null ?
  $F{Liefertermin} :
  $F{Abliefertermin}).after($V{V_HEUTE})]]></conditionExpression>
			<style mode="Opaque" forecolor="#CC00CC" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
	</style>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_ARTIKEL" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Artikelbezeichnung]]></parameterDescription>
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_ARTIKELEINHEIT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Artikeleinheit]]></parameterDescription>
	</parameter>
	<parameter name="P_BESTELLEINHEIT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Bestelleinheit]]></parameterDescription>
	</parameter>
	<parameter name="P_MULTIPLIKATORBESTELLMENGE" class="java.math.BigDecimal" isForPrompting="false">
		<parameterDescription><![CDATA[Multiplikator der Bestellmenge]]></parameterDescription>
	</parameter>
	<parameter name="P_LAGERMINDESTSTAND" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_LAGERSOLLSTAND" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_FERTIGUNGSSATZGROESSE" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_BESTELLEINHEIT_INVERS" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_UEBERPRODUKTION" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_STANDORT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MIT_RAHMEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_PARAMETER_AUFTRAGSFREIGABE" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_DRUCK_BEWEGUNGSVORSCHAU_LAGER_ALLER_MANDANTEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_ES_SIND_MEHRERE_MANDANTEN_BETEILIGT" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_UEBERALLEMANDANTEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_WIEDERBESCHAFFUNGSZEIT_SCHNELLSTE" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="P_WIEDERBESCHAFFUNGSZEIT_LIEF1" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="P_EINHEIT_WIEDERBESCHAFFUNGSZEIT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<parameter name="P_ARTIKELREFERENZNUMMER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LIEF1" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LIEF1_ARTIKELNUMMER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LIEF1_ARTIKELBEZEICHNUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LOS_UEBERMENGE_ERLAUBEN" class="java.lang.Boolean" isForPrompting="false"/>
	<field name="Belegart" class="java.lang.String">
		<fieldDescription><![CDATA[Belegart]]></fieldDescription>
	</field>
	<field name="Belegnummer" class="java.lang.String">
		<fieldDescription><![CDATA[Beleg-Nr.]]></fieldDescription>
	</field>
	<field name="Liefertermin" class="java.sql.Timestamp">
		<fieldDescription><![CDATA[Liefert]]></fieldDescription>
	</field>
	<field name="Menge" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Menge]]></fieldDescription>
	</field>
	<field name="Partner" class="java.lang.String">
		<fieldDescription><![CDATA[Partner]]></fieldDescription>
	</field>
	<field name="Fiktiverlagerstand" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Fiktiverlagerstand]]></fieldDescription>
	</field>
	<field name="Projekt" class="java.lang.String">
		<fieldDescription><![CDATA[Projektbezeichnung]]></fieldDescription>
	</field>
	<field name="Finaltermin" class="java.lang.String"/>
	<field name="LAGERWIRDVONINTERNERBESTELLUNGBERUECKSICHTIGT" class="java.lang.Boolean"/>
	<field name="LAGERWIRDVONBESTELLVORSCHLAGBERUECKSICHTIGT" class="java.lang.Boolean"/>
	<field name="BestellungABTermin" class="java.util.Date"/>
	<field name="BestellungABNummer" class="java.lang.String"/>
	<field name="LosAuftrag" class="java.lang.String"/>
	<field name="Mandant" class="java.lang.String"/>
	<field name="Standort" class="java.lang.String"/>
	<field name="LagerVersteckt" class="java.lang.Boolean"/>
	<field name="AuftragsfreigabePerson" class="java.lang.String"/>
	<field name="AuftragsfreigabeZeitpunkt" class="java.util.Date"/>
	<field name="Abliefertermin" class="java.util.Date"/>
	<field name="Forecastart" class="java.lang.String"/>
	<field name="MengeUnterwegs" class="java.math.BigDecimal"/>
	<field name="ZugehoerigerKundeImLos" class="java.lang.String"/>
	<field name="ForecastBemerkung" class="java.lang.String"/>
	<field name="ForecastpositionIId" class="java.lang.Integer"/>
	<field name="LosStuecklisteIId" class="java.lang.Integer"/>
	<field name="LosStuecklisteNummer" class="java.lang.String"/>
	<field name="LosStuecklisteBezeichnung" class="java.lang.String"/>
	<field name="LosStuecklisteZusatzbezeichnung" class="java.lang.String"/>
	<field name="LosStuecklisteZusatzbezeichnung2" class="java.lang.String"/>
	<variable name="Mandant_Unterschiedlich" class="java.lang.Integer" resetType="None" calculation="Count">
		<variableExpression><![CDATA[$F{Mandant}.compareTo($P{P_MANDANT_OBJ}.getMandantCNr())==0 ?
null :
new Integer(1)]]></variableExpression>
	</variable>
	<variable name="Forecast" class="java.lang.Integer" resetType="None" calculation="Count">
		<variableExpression><![CDATA[$F{Belegart}.startsWith("Forecast") ?
new Integer(1) : null]]></variableExpression>
	</variable>
	<variable name="ForecastBwg" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{Belegart}.startsWith("Forecast") ?
$F{Menge} : null]]></variableExpression>
	</variable>
	<variable name="Lieferwoche" class="java.lang.Integer">
		<variableExpression><![CDATA[com.lp.util.HelperReport.getCalendarWeekOfDate( $F{Liefertermin})]]></variableExpression>
	</variable>
	<variable name="AB_Termin_Woche" class="java.lang.Integer">
		<variableExpression><![CDATA[com.lp.util.HelperReport.getCalendarWeekOfDate( $F{BestellungABTermin})]]></variableExpression>
	</variable>
	<variable name="WBZ_in_Wochen" class="java.lang.Double" resetType="None">
		<variableExpression><![CDATA[$P{P_EINHEIT_WIEDERBESCHAFFUNGSZEIT}.startsWith("Tage") ?
$P{P_WIEDERBESCHAFFUNGSZEIT_LIEF1}.doubleValue() / 7 :
$P{P_WIEDERBESCHAFFUNGSZEIT_LIEF1}]]></variableExpression>
	</variable>
	<variable name="V_HEUTE" class="java.util.Date" resetType="None">
		<variableExpression><![CDATA[Calendar.getInstance(Locale.GERMAN).getTime()]]></variableExpression>
	</variable>
	<variable name="Heute_Woche" class="java.lang.Integer" resetType="None">
		<variableExpression><![CDATA[com.lp.util.HelperReport.getCalendarWeekOfDate( $V{V_HEUTE})]]></variableExpression>
	</variable>
	<variable name="Heute_JahrWoche" class="java.lang.Integer" resetType="None">
		<variableExpression><![CDATA[$V{V_HEUTE}.getYear() * 53 + $V{Heute_Woche}.intValue()]]></variableExpression>
	</variable>
	<variable name="Liefertermin_JahrWoche" class="java.lang.Integer" resetType="None">
		<variableExpression><![CDATA[$F{Liefertermin}.getYear() * 53 + $V{Lieferwoche}.intValue()]]></variableExpression>
	</variable>
	<variable name="Reichweite_Lager" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{Belegart}.startsWith("Lager") ?
$F{Menge} :
(!$F{Belegart}.startsWith("Lager") && $F{Menge}.compareTo(BigDecimal.ZERO) < 0 ?
    $F{Menge} : BigDecimal.ZERO)]]></variableExpression>
	</variable>
	<variable name="AnzahlStandorte" class="java.lang.Integer" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{Standort}]]></variableExpression>
	</variable>
	<variable name="Datum" class="java.util.Date">
		<variableExpression><![CDATA[$F{BestellungABTermin}!= null ?
$F{BestellungABTermin} :
($F{Abliefertermin} != null ? $F{Abliefertermin} :
    ($F{Liefertermin} == null ? $V{V_HEUTE} : $F{Liefertermin})
)]]></variableExpression>
	</variable>
	<variable name="Datum_Strg" class="java.lang.String">
		<variableExpression><![CDATA[$V{Datum}==null ? null:
(new SimpleDateFormat("yyyy-MM-dd", Locale.GERMAN)).format($V{Datum})]]></variableExpression>
	</variable>
	<variable name="LISTE_BWG" class="java.util.List">
		<variableExpression><![CDATA[$V{LISTE_BWG} == null ? new ArrayList() : $V{LISTE_BWG}]]></variableExpression>
		<initialValueExpression><![CDATA[null]]></initialValueExpression>
	</variable>
	<variable name="LISTE_BWG_ADD" class="java.lang.Boolean">
		<variableExpression><![CDATA[$V{LISTE_BWG}.add(new java.lang.Object[] {$V{Datum_Strg},
        $V{Datum},
        $F{Fiktiverlagerstand},
        $V{ForecastBwg}} )]]></variableExpression>
		<initialValueExpression><![CDATA[null]]></initialValueExpression>
	</variable>
	<variable name="NullLagerAnzeigen" class="java.lang.Integer">
		<variableExpression><![CDATA[$F{Belegart}.startsWith("Lagerstand") ?
$P{P_SQLEXEC}.execute(
"select b_lagerstand_bei_0_anzeigen from ww_lager where mandant_c_nr ='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"' and c_nr='"+$F{Belegnummer}+"';"
) : null]]></variableExpression>
	</variable>
	<variable name="LagerAnzeigen" class="java.lang.Boolean">
		<variableExpression><![CDATA[$F{Belegart}.startsWith("Lagerstand") ?
($F{LagerVersteckt}==null ||
 !($F{LagerVersteckt} &&
   $F{Menge}.compareTo(BigDecimal.ZERO) == 0)) &&
(!($V{NullLagerAnzeigen} != null && $V{NullLagerAnzeigen}.intValue()==0 && $F{Menge}.compareTo(BigDecimal.ZERO) == 0)) &&
(!($F{Partner}.startsWith("Lieferant") && $F{Menge}.compareTo(BigDecimal.ZERO) == 0))
: true

/*
$F{Belegart}.startsWith("Lagerstand") ?
($F{LagerVersteckt}==null || (!$F{LagerVersteckt}) || $V{NullLagerAnzeigen} == null || $V{NullLagerAnzeigen}.intValue() == 1 || ($V{NullLagerAnzeigen}.intValue()==0 && $F{Menge}.compareTo(BigDecimal.ZERO) != 0))
.* &&
(!($F{Partner}.startsWith("Lieferant") && $F{Menge}.compareTo(BigDecimal.ZERO) == 0)) *.
: true
*/]]></variableExpression>
	</variable>
	<pageHeader>
		<band height="99" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Transparent" x="1" y="0" width="672" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="c3878f9c-59c0-47aa-abc2-40e095ff07c1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="619" y="0" width="141" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="73ec2f5a-22d8-48a8-9657-ef8d99e3ff1a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="761" y="0" width="25" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="a69b3d75-917d-482f-95b6-1dfa225f9a45"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Bewegungsvorschau" mode="Opaque" x="1" y="23" width="216" height="22" forecolor="#000000" backcolor="#FFFFFF" uuid="daba2036-2387-49d2-90d0-bcde603ae8a8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="18" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Bewegungsvorschau]]></text>
			</staticText>
			<staticText>
				<reportElement key="für Artikel" mode="Opaque" x="1" y="45" width="52" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="1c1fbd69-6cd3-48d6-bfc3-218fe58c6a77"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[für Artikel:]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="P_ARTIKEL" mode="Opaque" x="54" y="45" width="419" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="b53bd6a2-af47-469e-abed-0c032d9289c7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_ARTIKEL}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Artikeleinheit" mode="Opaque" x="1" y="59" width="68" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="5783a859-ca94-42ef-be33-5ef79a00cf97"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Artikeleinheit:]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="P_ARTIKELEINHEIT" mode="Opaque" x="69" y="59" width="41" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="0a06ea95-09e1-4036-b961-b3315479b3dd"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_ARTIKELEINHEIT}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="P_BESTELLEINHEIT" mode="Opaque" x="110" y="59" width="169" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="8baf27cb-97df-4226-a607-981e37470e77">
					<printWhenExpression><![CDATA[new Boolean($P{P_BESTELLEINHEIT}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Bestellmengeneinheit: " + $P{P_BESTELLEINHEIT}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="Rahmen" mode="Opaque" x="300" y="46" width="150" height="13" forecolor="#000000" backcolor="#FFFFFF" uuid="494707f1-200d-4b07-9bdd-5a1904b7c459"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MIT_RAHMEN} ? "mit Rahmen-BS/AB" : "ohne Rahmen-BS/AB "]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="In Bestellmenge" mode="Opaque" x="565" y="64" width="90" height="33" forecolor="#000000" backcolor="#CCCCCC" uuid="ba03936e-209e-4e25-8500-300c9f06fe80">
					<printWhenExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[---  In Bestellmenge  ---]]></text>
			</staticText>
			<staticText>
				<reportElement key="IB" x="655" y="86" width="15" height="11" uuid="b6d034e6-4b21-4103-a135-333600df7f07"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Bottom">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[IB]]></text>
			</staticText>
			<staticText>
				<reportElement key="BV" x="670" y="86" width="13" height="11" uuid="a7e745a7-827a-4d00-bf05-19752034fcc3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Bottom">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[BV]]></text>
			</staticText>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="300" y="59" width="150" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="fb6a9f1f-b128-494b-b1fb-def32cb05fd6"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STANDORT}==null ? "Alle Standorte" : "Standort "+$P{P_STANDORT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Belegart" mode="Opaque" x="0" y="86" width="60" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="93f9681d-a95b-4586-a971-93611204bfb5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Belegart]]></text>
			</staticText>
			<staticText>
				<reportElement key="Belegnr." mode="Opaque" x="60" y="86" width="59" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="b37e10ed-eb3a-44c4-815d-968316853422"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[► Belegnr.]]></text>
			</staticText>
			<staticText>
				<reportElement key="Projekt" mode="Opaque" x="119" y="86" width="118" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="155f964f-a6dd-4827-93ea-89b3a662a4af"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Projekt / Zielartikel]]></text>
			</staticText>
			<staticText>
				<reportElement key="Kunde/ Lieferant" mode="Opaque" x="237" y="86" width="116" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="522c7b5d-5965-4264-9b0a-522df80e8687"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Kunde / Lieferant / Knd indirekt]]></text>
			</staticText>
			<staticText>
				<reportElement key="Liefertermin" mode="Opaque" x="368" y="86" width="45" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="37e447a6-d295-4ae3-82f7-4d902ce10407"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Liefertermin]]></text>
			</staticText>
			<staticText>
				<reportElement key="AB-Termin" mode="Opaque" x="413" y="75" width="45" height="22" forecolor="#000000" backcolor="#FFFFFF" uuid="0c54c14e-1f9b-4b7c-940a-820608db5a6a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[BS
AB-Termin]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bewegung" mode="Opaque" x="473" y="86" width="45" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="98aa664c-d565-4466-9cc5-6ab1143acbee"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Bewegung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Fikt. Lagerstand" mode="Opaque" x="518" y="75" width="45" height="22" forecolor="#000000" backcolor="#FFFFFF" uuid="4821e1b1-140e-45a1-8e26-45178b0fb55d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Fikt. Lagerstand]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bewegung2" mode="Transparent" x="563" y="86" width="45" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="4221ea2b-45ed-40de-ad13-111c1e5791e3">
					<printWhenExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Bewegung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Fikt. Lagerstand2" mode="Transparent" x="607" y="87" width="45" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="a76a8902-4d07-4999-a94f-2d89e147a359">
					<printWhenExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Fikt.Lager]]></text>
			</staticText>
			<textField evaluationTime="Report" isBlankWhenNull="true">
				<reportElement key="Standort" mode="Opaque" x="685" y="86" width="80" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="db277f90-bdc4-4959-84e2-9c5403f7c215"/>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STANDORT}!=null ?
"nur "+$P{P_STANDORT} :
( $V{AnzahlStandorte}.intValue() > 1 ?
  "Standorte" : null
)]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" isBlankWhenNull="true">
				<reportElement key="mandant" mode="Opaque" x="750" y="86" width="35" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="68ff4ac3-34ad-4d49-87e0-01887f981137"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Mandant_Unterschiedlich}.intValue() > 0 ?
"Mandant" :
null]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="line-1" mode="Opaque" x="0" y="97" width="784" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="3ea588f0-f0d6-435c-b0bc-68334a1a9c78"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField evaluationTime="Report" pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="mandant" mode="Opaque" x="548" y="33" width="238" height="26" forecolor="#000000" backcolor="#FFFFFF" uuid="da3fa5f3-74b4-4d3c-8e7a-bc04e35c143c"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Mandant_Unterschiedlich}.intValue() > 0 ?
"Mandanten unterschiedlich,\nausgehend von "+$P{P_MANDANT_OBJ}.getMandantCNr() :
null]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="733" y="59" width="38" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="4a923833-0d3f-4657-b652-70fd32c22d00"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LAGERMINDESTSTAND}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="655" y="59" width="78" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="fe44f07e-47ac-4afe-9615-2485029b82aa">
					<printWhenExpression><![CDATA[$P{P_LAGERMINDESTSTAND}!=null]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Lagermindeststand:"]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="733" y="71" width="38" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="f4526faa-1bae-42cb-822c-44b3d8dd5605"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LAGERSOLLSTAND}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="655" y="71" width="78" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="a6c9bbe4-2827-4bf3-9656-f0da1f9da8e6">
					<printWhenExpression><![CDATA[$P{P_LAGERSOLLSTAND}!=null]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Lagersollstand:"]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="P_ARTIKELEINHEIT" mode="Transparent" x="773" y="59" width="20" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="af398607-acb4-4c53-a8fe-3660e8638ad1">
					<printWhenExpression><![CDATA[$P{P_LAGERMINDESTSTAND}!=null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_ARTIKELEINHEIT}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="P_ARTIKELEINHEIT" mode="Transparent" x="773" y="71" width="20" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="cb8a9684-3fe8-445e-bcaa-ef19743945e9">
					<printWhenExpression><![CDATA[$P{P_LAGERSOLLSTAND}!=null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_ARTIKELEINHEIT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Liefertermin KW" mode="Transparent" x="453" y="86" width="15" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="4caede89-6b0a-4622-b71e-1ebf46ba3ebb"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[KW]]></text>
			</staticText>
			<textField evaluationTime="Report" isBlankWhenNull="true">
				<reportElement key="Unterwegs" mode="Transparent" x="563" y="64" width="45" height="33" forecolor="#000000" backcolor="#FFFFFF" uuid="1b15d29e-7e5a-4dc4-b63a-8ff6332e00f3"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} == null &&
$V{Mandant_Unterschiedlich}.intValue() > 0 ? "Menge\nunterwegs" :
($P{P_MULTIPLIKATORBESTELLMENGE} == null &&
 $V{Forecast}.intValue() > 0 ? "Fikt.Lagerstand mit Forecast" :
 null
)]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="660" y="20" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="b352534f-04f3-48ec-baaa-7e5284bd73f4"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Heute_Woche}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="735" y="20" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="a5c53a06-9d56-48ce-acf3-5691ed95cf59"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{WBZ_in_Wochen}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="WBZ" mode="Opaque" x="598" y="20" width="57" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="9cd4bcc8-a605-416e-8bc8-770da8b7753c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[aktuelle KW:]]></text>
			</staticText>
			<staticText>
				<reportElement key="WBZ" mode="Opaque" x="685" y="20" width="50" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="14d67949-b810-4c07-838a-74b2b3c4c11f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Std. WBZ:]]></text>
			</staticText>
			<staticText>
				<reportElement key="WBZ" mode="Opaque" x="760" y="20" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="62bef053-20c9-4081-9a0d-edb754cb1713"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[KW]]></text>
			</staticText>
			<textField pattern="#,##0.0#####" isBlankWhenNull="true">
				<reportElement key="In Bestellmenge" mode="Opaque" x="622" y="77" width="30" height="10" forecolor="#000000" backcolor="#CCCCCC" uuid="d4a433da-a8e5-4b1d-99df-4661e394b220">
					<printWhenExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null]]></printWhenExpression>
				</reportElement>
				<textElement verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement key="In Bestellmenge" mode="Opaque" x="612" y="77" width="10" height="10" forecolor="#000000" backcolor="#CCCCCC" uuid="4dd7922f-7225-41ac-a7f8-2457d7f5fa37">
					<printWhenExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null &&
$P{P_BESTELLEINHEIT_INVERS}]]></printWhenExpression>
				</reportElement>
				<textElement verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["1/"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Lieferant" mode="Opaque" x="1" y="71" width="68" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="3e8bea66-8190-43e0-b4c1-56a015d6d1ce">
					<printWhenExpression><![CDATA[$P{P_LIEF1} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Lieferant:]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Lieferant" mode="Opaque" x="69" y="71" width="344" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="4c444d1f-c053-424c-adcd-d7873ea83921"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LIEF1} == null ? null :
($P{P_LIEF1} +
    ($P{P_LIEF1_ARTIKELNUMMER}==null ? "":" ArtNr.: "+$P{P_LIEF1_ARTIKELNUMMER})+
    ($P{P_LIEF1_ARTIKELBEZEICHNUNG}==null ? "":" Bez.: "+$P{P_LIEF1_ARTIKELBEZEICHNUNG})
)]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<printWhenExpression><![CDATA[$V{LagerAnzeigen}
/*
($F{LagerVersteckt}==null ||
 !($F{LagerVersteckt} &&
   $F{Menge}.compareTo(BigDecimal.ZERO) == 0)) &&
(!($F{Belegart}.startsWith("Lagerstand") && $F{Partner}.startsWith("Lieferant") && $F{Menge}.compareTo(BigDecimal.ZERO) == 0))
*/]]></printWhenExpression>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Belegart" style="nicht_freigegeben" mode="Opaque" x="0" y="0" width="60" height="10" uuid="33ebe17e-6d3f-49dc-b4f7-e3346d20a911"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Belegart}.startsWith("Forecast") ?
    (($F{Forecastart}.startsWith("Forecastauftrag") ? "FCA" :
      $F{Forecastart}.startsWith("nicht definiert") ? "---" : $F{Forecastart})
     +" "+($F{ForecastBemerkung}==null?"":$F{ForecastBemerkung}) )
    : $F{Belegart}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true" hyperlinkType="GOTO">
				<reportElement key="Belegnummer" style="nicht_freigegeben" mode="Opaque" x="60" y="0" width="59" height="10" uuid="9041cde7-58bd-4412-84f5-e5b3de769aca"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Belegnummer}]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA[$P{P_MANDANT_OBJ}.getMandantCNr().compareTo($F{Mandant}) != 0 ?
   "Mandantenübergreifend ist derzeit nicht vorgesehen" :
   (
     ($F{Belegart}.startsWith("Bestellung") ||
      $F{Belegart}.startsWith("Auftrag") ||
      $F{Belegart}.startsWith("Los")
     ) ?
     "Direkter Sprung zu "+$F{Belegart}.trim()+" "+$F{Belegnummer} :
     "derzeit leider nicht möglich"
   )]]></hyperlinkTooltipExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[($F{Belegart}.startsWith("Bestellung") ? com.lp.util.GotoHelper.goto_BESTELLUNG_AUSWAHL() :
  ($F{Belegart}.startsWith("Auftrag") ? com.lp.util.GotoHelper.goto_AUFTRAG_AUSWAHL() :
    ($F{Belegart}.startsWith("Los") ? com.lp.util.GotoHelper.goto_FERTIGUNG_AUSWAHL() :
      null
    )
  )
)]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{Belegnummer}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Projekt" style="nicht_freigegeben" mode="Transparent" x="119" y="0" width="118" height="10" uuid="e107205e-fccb-4d20-8950-24e36faef3ef"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Projekt} != null ? $F{Projekt}  : "" )+
($F{Projekt}.length() > 0 && $F{Belegart}.trim().equals("Los")
	? " / " + $F{LosStuecklisteNummer} + " " + ($F{LosStuecklisteBezeichnung}==null ? "" : $F{LosStuecklisteBezeichnung})
	: "" )]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Partner" style="nicht_freigegeben" mode="Opaque" x="237" y="0" width="116" height="10" uuid="82332f7f-c13f-4031-b41b-5663b2628aae"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ZugehoerigerKundeImLos} != null ?
$F{ZugehoerigerKundeImLos} :
$F{Partner}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Opaque" x="368" y="0" width="45" height="10" forecolor="#CCCCCC" backcolor="#CCCCCC" uuid="be808e43-f775-4795-acf4-80d198a54bba">
					<printWhenExpression><![CDATA[$F{Belegart}.startsWith("Los") && $F{Menge}.compareTo(BigDecimal.ZERO) > 0]]></printWhenExpression>
				</reportElement>
				<textFieldExpression><![CDATA[" "]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Rückgabe aus Los kann nicht vor heute sein"]]></hyperlinkTooltipExpression>
			</textField>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="true">
				<reportElement key="Liefertermin" style="vor_heute" mode="Transparent" x="368" y="0" width="45" height="10" uuid="b5db1940-1eb2-4838-935f-2b4e1516fdfc"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Abliefertermin} == null ?
$F{Liefertermin} :
$F{Abliefertermin}]]></textFieldExpression>
			</textField>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="true">
				<reportElement key="BestellungABTermin" style="nicht_freigegeben" mode="Opaque" x="413" y="0" width="45" height="10" uuid="14cb47d6-0cfe-4cb0-8d19-006923ed789f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{BestellungABTermin}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement style="nicht_freigegeben" mode="Transparent" x="453" y="0" width="15" height="10" uuid="483264a4-4ac3-4886-973b-ae34edc7cea3"/>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{AB_Termin_Woche}==null ?
$V{Lieferwoche} :
$V{AB_Termin_Woche}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Menge" style="Reichweite" mode="Opaque" x="473" y="0" width="45" height="10" uuid="bd2a2a57-f5c3-4075-85e4-4ac6768b58f2">
					<printWhenExpression><![CDATA[new Boolean($F{Menge}.compareTo( new BigDecimal(0.0000) ) != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Fiktiverlagerstand" style="Verfuegbar" mode="Opaque" x="518" y="0" width="45" height="10" uuid="3d61c2b2-1826-49ee-bb4c-80bb66e7aa5f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Fiktiverlagerstand}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Menge2" style="Verfuegbar" mode="Transparent" x="563" y="0" width="45" height="10" uuid="218108e6-ef12-4cea-80de-0054a59e7c94">
					<printWhenExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null &&
$F{Menge}.compareTo( BigDecimal.ZERO ) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BESTELLEINHEIT_INVERS} ?
$F{Menge}.divide($P{P_MULTIPLIKATORBESTELLMENGE}, RoundingMode.HALF_EVEN) :
$F{Menge}.multiply($P{P_MULTIPLIKATORBESTELLMENGE})]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Fiktiverlagerstand2" style="Verfuegbar" mode="Opaque" x="610" y="0" width="45" height="10" uuid="27ae50bf-43d0-4750-ba42-cde64da2c6ee">
					<printWhenExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BESTELLEINHEIT_INVERS} ?
$F{Fiktiverlagerstand}.divide($P{P_MULTIPLIKATORBESTELLMENGE}, RoundingMode.HALF_EVEN) :
$F{Fiktiverlagerstand}.multiply($P{P_MULTIPLIKATORBESTELLMENGE})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="IB" x="655" y="0" width="15" height="10" uuid="53156b8e-dbf2-44bb-b551-7857c47b0210">
					<printWhenExpression><![CDATA[$F{LAGERWIRDVONINTERNERBESTELLUNGBERUECKSICHTIGT}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[IB]]></text>
			</staticText>
			<staticText>
				<reportElement key="BV" x="670" y="0" width="13" height="10" uuid="5f6f3ca5-ecd1-4224-a22d-c3b9b7ce87b2">
					<printWhenExpression><![CDATA[$F{LAGERWIRDVONBESTELLVORSCHLAGBERUECKSICHTIGT}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[BV]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Standort" mode="Opaque" x="685" y="0" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="ee8facab-f386-42ab-8a58-388d67df7ba8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Standort}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Auto" pattern="" isBlankWhenNull="true">
				<reportElement key="Mandant" mode="Opaque" x="750" y="0" width="35" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="2ff49b1d-e145-4930-9b5c-eafe6aaf9bfb"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Mandant_Unterschiedlich}.intValue() > 0 ?
$F{Mandant} :
null]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Unterwegs" style="Verfuegbar" mode="Transparent" x="563" y="0" width="45" height="10" uuid="2a99a7fa-aa3a-4c29-b888-1776a414e932"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MULTIPLIKATORBESTELLMENGE} != null ? null :
($F{Belegart}.startsWith("Forecast") ? $V{ForecastBwg}.add($F{Fiktiverlagerstand}) :
$F{MengeUnterwegs}
)]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Abliefertermin" style="nicht_freigegeben" x="353" y="0" width="15" height="10" uuid="c3274e99-e0e1-4c3f-92cf-15bcfba1c7d9">
					<printWhenExpression><![CDATA[$F{Abliefertermin} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[AbLt]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="468" y="0" width="15" height="10" uuid="d5c3d9f9-253d-44dd-9334-1e1a79657989">
					<printWhenExpression><![CDATA[$V{Liefertermin_JahrWoche}.intValue() < $V{Heute_JahrWoche}.intValue()+$V{WBZ_in_Wochen}.intValue()
&&
($F{Fiktiverlagerstand}.doubleValue() <
 ($P{P_LAGERMINDESTSTAND} == null ? 0 : $P{P_LAGERMINDESTSTAND}.doubleValue()))]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["W"]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<lastPageFooter>
		<band height="30" splitType="Stretch">
			<staticText>
				<reportElement key="Info IB BV" mode="Transparent" x="0" y="0" width="235" height="30" forecolor="#000000" backcolor="#FFFFFF" uuid="fc9f4609-149c-45c2-ae41-3c42b3de0338"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[IB ...  dieses Lager wird für die interne Bestellung berücksichtigt
BV ... dieses Lager wird für den Bestellvorschlag berücksichtigt.
Einstellungen siehe Lager Grunddaten.]]></text>
			</staticText>
			<textField>
				<reportElement mode="Opaque" x="165" y="20" width="70" height="10" forecolor="#FFFFFF" backcolor="#000000" uuid="de86f287-3e54-4d20-9f8a-431e0a0f5d4e">
					<printWhenExpression><![CDATA[$P{P_PARAMETER_AUFTRAGSFREIGABE}]]></printWhenExpression>
				</reportElement>
				<textElement verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["nicht freigegeben"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Fikt Lagerstand" mode="Opaque" x="240" y="0" width="544" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="e62abb42-96c6-461e-9b53-01b8257b5c71"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Fikt.Lagerstand: gn ... > Lagersoll, sw ... < Lagersoll & > Lagermin, gb ... < Lagermin, rt ... < 0     Bewegung: gn ... Lagerstand reicht aus]]></text>
			</staticText>
			<staticText>
				<reportElement key="Wiederbeschaffungszeit" mode="Opaque" x="240" y="10" width="350" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="77b1cdc8-09ab-47d9-80da-9ce7009d1e73"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[W ... die Wiederbeschaffungszeit des Lief1 ist zu lange um den Artikel rechtzeitig zu bekommen]]></text>
			</staticText>
			<staticText>
				<reportElement key="AbL" mode="Opaque" x="240" y="20" width="350" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="ee6be258-c87c-4028-b327-fa43cad683b0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[AbL ... anstatt des Liefertermins wird der Ausliefertermin angedruckt (Liefertermin - Lieferdauer)]]></text>
			</staticText>
			<staticText>
				<reportElement key="Vor_Heute" mode="Opaque" x="630" y="10" width="80" height="10" forecolor="#CC00CC" backcolor="#FFFFFF" uuid="ea775267-f90c-47e3-8940-8ff6bf5c73c1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Liefertermin vor heute]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="630" y="20" width="120" height="10" forecolor="#000000" backcolor="#CCCCCC" uuid="954402c0-a661-48eb-ab7b-cf08ae502704">
					<printWhenExpression><![CDATA[$P{P_LOS_UEBERMENGE_ERLAUBEN}]]></printWhenExpression>
				</reportElement>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Übermenge mit Losendetermin]]></text>
			</staticText>
		</band>
	</lastPageFooter>
	<summary>
		<band height="100" splitType="Stretch">
			<subreport>
				<reportElement key="Subreport_BWG" positionType="Float" x="60" y="0" width="690" height="100" uuid="7586838b-1250-455e-b0e7-2003039d526e"/>
				<subreportParameter name="P_LAGERSOLLSTAND">
					<subreportParameterExpression><![CDATA[$P{P_LAGERSOLLSTAND}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_LAGERMINDESTSTAND">
					<subreportParameterExpression><![CDATA[$P{P_LAGERMINDESTSTAND}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.ListOfArrayDataSource(com.lp.util.HelperReport.sortListNoNullSprung($V{LISTE_BWG},1,2),
    new String[] {"Sort", "Termin", "Menge", "ForecastBwg" } )]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{REPORT_DIRECTORY} + "ww_bewegungsvorschau_zeitachse.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
